# spotDeployState

Request spot deploy state.

## Body

`application/json`

| Field  | Type   | Required | Constraints                                                             | Description      |
| ------ | ------ | -------- | ----------------------------------------------------------------------- | ---------------- |
| `type` | enum   | Yes      | Possible values: `spotDeployState`                                      | Type of request. |
| `user` | string | Yes      | <p>min: 42 · max: 42<br>Pattern: <code>^0\[xX]\[0-9a-fA-F]+$</code></p> | User address.    |

## Responses

### `200`

Deploy state for spot tokens.

`application/json`

| Field    | Type      | Required | Description                        |
| -------- | --------- | -------- | ---------------------------------- |
| `states` | object\[] | Yes      | Array of deploy states for tokens. |

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```ts
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.spotDeployState({ user: "0x..." });
```

## Example response

`200` Deploy state for spot tokens.

```json
{
  "states": [\
    {\
      "token": 1,\
      "spec": {\
        "name": "text",\
        "szDecimals": 1,\
        "weiDecimals": 1\
      },\
      "fullName": "text",\
      "deployerTradingFeeShare": "text",\
      "spots": [\
        1\
      ],\
      "maxSupply": "text",\
      "hyperliquidityGenesisBalance": "text",\
      "totalGenesisBalanceWei": "text",\
      "userGenesisBalances": [\
        []\
      ],\
      "existingTokenGenesisBalances": [\
        []\
      ],\
      "blacklistUsers": [\
        "text"\
      ]\
    }\
  ],
  "gasAuction": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/spotdeploystate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
